# File which contains templates for ci jobs
include: ci_gitlab/ci-rheolef-templates.yml

# -- Build docker images ready to use for rheolef --
kaniko-build:ubuntu20.04:
  variables:
    IMAGE_NAME: ubuntu20.04
  stage: kaniko-build
  extends: .kaniko-build

kaniko-build:debian_buster:
  variables:
    IMAGE_NAME: debian_buster
  stage: kaniko-build
  extends: .kaniko-build

# ------ Debian buster --------
# -- Configure rheolef --
debian_buster:configure:
  extends: .rheolef-configure
  variables:
    IMAGE_NAME: $CI_REGISTRY_IMAGE/debian_buster

# -- Build/test rheolef --
debian_buster:build:
  extends: .rheolef-build
  variables:
    IMAGE_NAME: $CI_REGISTRY_IMAGE/debian_buster
  needs: ["debian_buster:configure"]

# ------ Ubuntu latest --------
# -- Configure rheolef --
ubuntu20.04:configure:
  extends: .rheolef-configure
  variables:
    IMAGE_NAME: $CI_REGISTRY_IMAGE/ubuntu20.04

# -- Build/test rheolef --
ubuntu20.04:build:
  extends: .rheolef-build
  variables:
    IMAGE_NAME: $CI_REGISTRY_IMAGE/ubuntu20.04
  needs: ["ubuntu20.04:configure"]


# -- Experimental stuff : try to install rheolef and
# to produce a docker image with rheolef ready to use.
rheolef_ready:debian_buster:
  extends: .rheolef-ready
  variables:
    DOCKERFILE_DIR: install_debian_buster
  needs: ["ubuntu20.04:build"]

